## python-procrunner 1.1.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = procrunner
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-procrunner (1.1.0-1) unstable; urgency=medium

  * First release (Closes: #962456)
  
 -- Sebastien Delafond <seb@debian.org>  Mon, 08 Jun 2020 13:47:32 +0200

=== debian/control ===
Source: python-procrunner
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 12), dh-python, python3-setuptools, python3-all, python3-pytest-runner, python3-pytest, python3-mock
Standards-Version: 4.5.0
Homepage: https://github.com/DiamondLightSource/python-procrunner
Vcs-Browser: https://salsa.debian.org/science-team/python-procrunner
Vcs-Git: https://salsa.debian.org/science-team/python-procrunner.git

Package: python3-procrunner
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: Versatile utility function to run external processes from Python
 Versatile utility function to run external processes from Python, with many
 features:
  * runs an external process and waits for it to finish
  * does not deadlock, no matter the process stdout/stderr output
    behaviour
  * returns the exit code, stdout, stderr (separately, both as
    bytestrings), and the total process runtime as a dictionary
  * process can run in a custom environment, either as a modification
    of the current environment or in a new environment from scratch
  * stdin can be fed to the process, the returned dictionary contains
    information how much was read by the process
  * stdout and stderr is printed by default, can be disabled
  * stdout and stderr can be passed to any arbitrary function for live
    processing (separately, both as unicode strings)
  * optionally enforces a time limit on the process

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-procrunner
#export PYBUILD_DISABLE=test
# export PYBUILD_VERSIONS=3.8
# export PYBUILD_INTERPRETERS=python{version}

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
https://github.com/DiamondLightSource/python-procrunner/tags .*/v(\d[\d\.]*)\.tar\.gz debian uupdate

## python-procrunner 2.3.3

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/

lint: ## check style with flake8
	flake8 procrunner tests

test: ## run tests quickly with the default Python
	py.test

test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage quickly with the default Python
	coverage run --source procrunner -m pytest
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/procrunner.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ procrunner
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: clean ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	python setup.py install

=== debian/changelog ===
python-procrunner (2.3.3-2) unstable; urgency=medium

  * Team upload.
  * Remove extraneous dependency on python3-mock (Closes: #1069733)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Jun 2024 16:52:20 +0200

python-procrunner (2.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #986249, #1060978
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update watch file format version to 4.

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jan 2024 16:39:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: python-procrunner
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Sebastien Delafond <seb@debian.org>
-Build-Depends: debhelper (>= 12), dh-python, python3-setuptools, python3-all, python3-pytest-runner, python3-pytest, python3-mock
-Standards-Version: 4.5.0
+Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-setuptools, python3-all, python3-pytest-runner, python3-pytest
+Standards-Version: 4.6.2
 Homepage: https://github.com/DiamondLightSource/python-procrunner
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/python-procrunner
 Vcs-Git: https://salsa.debian.org/science-team/python-procrunner.git
 
 Package: python3-procrunner
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
 Description: Versatile utility function to run external processes from Python
  Versatile utility function to run external processes from Python, with many

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 # export PYBUILD_INTERPRETERS=python{version}
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/DiamondLightSource/python-procrunner/tags .*/v(\d[\d\.]*)\.tar\.gz debian uupdate
